import React from 'react'
import A2look from '../A2look'
import { useParams } from 'react-router-dom'
import history from '@/utils/history'

function A4codeSucc() {
  // const [num,setNum] =useState(1)
  // const numRef =useRef(1)

  // useEffect(() => {

  //   window.location.reload()
  // }, [])

  const urlObj: any = useParams()

  return (
    <>
      {urlObj.id ? (
        <A2look
          sId={urlObj.id}
          closeFu={() => history.replace('/')}
          type='核销'
          upTable={() => {}}
        />
      ) : null}
    </>
  )
}

const MemoA4codeSucc = React.memo(A4codeSucc)

export default MemoA4codeSucc
